tigase.db.derby

## Class MsgBroadcastRepositoryStoredProcedures

- java.lang.Object
- - tigase.db.derby.MsgBroadcastRepositoryStoredProcedures

-     public class MsgBroadcastRepositoryStoredProcedures
      extends Object

  Created by andrzej on 24.03.2017.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MsgBroadcastRepositoryStoredProcedures()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addMessage(String msgId, Timestamp expired, String msg)`
    `static void` | `addMessageRecipient(String msgId, String jid)`
    `static void` | `getMessageRecipients(String msgId, ResultSet[] data)`
    `static void` | `getMessages(Timestamp expired, ResultSet[] data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MsgBroadcastRepositoryStoredProcedures

          public MsgBroadcastRepositoryStoredProcedures()

  - ### Method Detail

    - #### addMessage

          public static void addMessage(String msgId,
                                        Timestamp expired,
                                        String msg)
                                 throws SQLException

      Throws:
        `SQLException`

    - #### addMessageRecipient

          public static void addMessageRecipient(String msgId,
                                                 String jid)
                                          throws SQLException

      Throws:
        `SQLException`

    - #### getMessageRecipients

          public static void getMessageRecipients(String msgId,
                                                  ResultSet[] data)
                                           throws SQLException

      Throws:
        `SQLException`

    - #### getMessages

          public static void getMessages(Timestamp expired,
                                         ResultSet[] data)
                                  throws SQLException

      Throws:
        `SQLException`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.